<template>
    <AddCategory v-if="condition==='addCategory'" @sent="selectCondition"/>
    <CategoryView v-else-if="condition==='categoryView'" @sent="selectCondition" @edit="editCondition"/>
    <CategoryEdit v-else-if="condition==='categoryEdit'" :category="info" @sent="selectCondition"/>
</template>

<script>
    import AddCategory from './AddCategory';
    import CategoryView from './CategoryView';
    import CategoryEdit from "./CategoryEdit";
    export default {
        data(){
          return {
            condition :'categoryView',
              info:'',
          };
        },
        mounted() {
            //console.log('category component');
        },
        methods:{
            selectCondition(text){
                this.condition=text;
            },
            editCondition(object){
                this.condition='categoryEdit';
                this.info=object;
                //console.log(object);
            },
        },
        components:{AddCategory,CategoryView,CategoryEdit}
    }
</script>
